ScXMLDataElt(3)

NAME
ScXMLDataElt - the <data> SCXML element.

SYNOPSIS

#include <Inventor/scxml/ScXMLDataElt.h>

Inherits ScXMLElt.

  Public Member Functions
virtual SoType getTypeId (void) const
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.
virtual void setIDAttribute (const char *ID)
virtual const char * getIDAttribute (void) const
virtual void setSrcAttribute (const char *src)
virtual const char * getSrcAttribute (void) const
virtual void setExprAttribute (const char *expr)
virtual const char * getExprAttribute (void) const
virtual SbBool handleXMLAttributes (void)
virtual void copyContents (const ScXMLElt *rhs)
virtual const ScXMLElt * search (const char *attrname, const char *attrvalue) const
virtual void setValueObj (ScXMLDataObj *value)
virtual ScXMLDataObj * getValueObj (void) const

  Static Public Member Functions
static ScXMLEltReader * getElementReader (void)
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
static void cleanClass (void)

  Protected Attributes
char * ID
char * src
char * expr
ScXMLDataObj * value

  Additional Inherited Members

Detailed Description

the <data> SCXML element. The <data> SCXML element is for storing variables. They need to be contained within a <datamodel> element. <data> elements are only functional in state machines with a profile that has an implementation of the Data Module. The 'minimum' profile does not, but the 'x-coin' profile does.

The following attributes are accepted:
•   ID
•   src - not supported
•   expr
The ID attribute is required and specifies the variable name. The variable name must be unique for the whole SCXML state machine specification.
The src attribute is not supported.
The expr attribute specifies the value of the variable. The attribute is evaluated based on which profile the state machine is using.
The value of the <data> variable can be changed through the use of <assign> elements, and their values can be passed on to other systems through the use of the <send> element in the External Communications Module.
Since
    Coin 4.0
See also
    ScXMLDataModelElt, ScXMLAssignElt, ScXMLSendElt

Member Function Documentation

  SoType ScXMLDataElt::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.
See also
    SoBase::getTypeId() const
Implements ScXMLElt.

  SbBool ScXMLDataElt::handleXMLAttributes (void) [virtual]
This method is called when the file reader has set all the XML attributes on the object, and wants the object to handle them and report if the values were OK or if a read error should be produced.
Returns
    TRUE if the attributes are OK, and FALSE on error.
This base class implementation does nothing and just returns TRUE.
Reimplemented from ScXMLElt.

  void ScXMLDataElt::copyContents (const ScXMLElt * rhs) [virtual]
Reimplemented from ScXMLElt.

  const ScXMLElt * ScXMLDataElt::search (const char * attrname, const char * attrvalue) const [virtual]
This method searches the SCXML structure for an element with the given attribute value for the given attribute.
Returns NULL if nothing was found.
This function needs to be reimplemented to traverse child elements.
Reimplemented from ScXMLElt.

Author
Generated automatically by Doxygen for Coin from the source code.